#### PyKDE - Python Bindings for KDE

# class KParts.PartActivateEvent |
Table of contents
Modules
tdeparts Classes
All Classes

Module | tdeparts
Class | KParts.PartActivateEvent
Inherits | KParts.Event

### methods

- PartActivateEvent (activated, part, widget)

  returns a PartActivateEvent instance
  Argument | Type | Default
  --- | --- | ---
  activated | bool |
  part | KParts.Part |
  widget | TQWidget |

- activated ()

  returns (bool)

- part ()

  returns (KParts.Part)

- test (event)

  returns (bool)
  static
  Argument | Type | Default
  --- | --- | ---
  event | TQEvent |

- widget ()

  returns (TQWidget)